# Get an event

> One event, thin.

`GET /v1/events/{eventId}`

One event, thin. A 404 for a type this key cannot read.

**Permissions:** any valid key · **Kind:** read · **Cost:** 1 unit



## Path parameters

| Field | Type | Required | Description |
|---|---|---|---|
| `eventId` | uuid | yes |  |

## Query parameters

_None._

## Response `200`

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | "event" | yes |  |
| `id` | uuid | yes |  |
| `type` | "trip.created" \| "trip.updated" \| "trip.archived" \| "trip.restored" \| "trip.published" \| "trip.unpublished" \| "trip.deleted" \| "trip.itinerary.updated" \| "quote.created" \| "quote.updated" \| "quote.sent" \| "quote.accepted" \| "quote.rejected" \| "quote.deleted" \| "traveler.added" \| "traveler.updated" \| "traveler.removed" \| "trip.contact.updated" \| "document.created" \| "document.updated" \| "document.deleted" \| "ping" | yes |  |
| `createdAt` | string | yes |  |
| `subject` | object | yes |  |
| `subject.object` | "trip" \| "quote" \| "traveler" \| "contact" \| "document" \| "endpoint" | yes |  |
| `subject.id` | uuid | yes |  |
| `subject.tripId` | uuid \| null | yes |  |
| `changed` | string[] | yes | The API fields that changed (names only). |

## Errors

Errors are [problem details](https://api.bymundi.com/docs/guides/errors.md). Besides the refusals described above, any call like this one can return:

- [`invalid_request`](https://api.bymundi.com/problems/invalid_request.md) — Invalid request
- [`unauthorized`](https://api.bymundi.com/problems/unauthorized.md) — Missing or invalid API key
- [`insufficient_scope`](https://api.bymundi.com/problems/insufficient_scope.md) — Missing permission
- [`rate_limited`](https://api.bymundi.com/problems/rate_limited.md) — Rate limit reached
- [`not_found`](https://api.bymundi.com/problems/not_found.md) — Not found

## Examples

#### curl

```bash
curl https://api.bymundi.com/v1/events/$EVENT_ID \
  -H "Authorization: Bearer $BYMUNDI_KEY"
```

#### JavaScript

```javascript
const res = await fetch(`https://api.bymundi.com/v1/events/${eventId}`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.BYMUNDI_KEY}`,
  },
});
if (!res.ok) throw new Error((await res.json()).detail);
const data = await res.json();
```

#### Python

```python
import os, uuid, requests

res = requests.get(
    f"https://api.bymundi.com/v1/events/{eventId}",
    headers={"Authorization": f"Bearer {os.environ['BYMUNDI_KEY']}"},
)
res.raise_for_status()
data = res.json()
```
